.\" $NetBSD: icp.4,v 1.4 2003/03/31 03:16:13 perry Exp $
.\"
.\" from OpenBSD: gdt.4,v 1.14 2001/10/05 14:45:53 mpech Exp
.\"
.\" Copyright (c) 2000 Niklas Hallqvist.  All rights reserved.
.\" Copyright (c) 2002 Andrew Doran.  All rights reserved.
.\"
.Dd April 20, 2002
.Dt ICP 4
.Os
.Sh NAME
.Nm icp
.Nd ICP-Vortex and Intel Storage RAID driver
.Sh SYNOPSIS
.Cd "icp* at pci? dev ? function ?"
.Cd "ld* at icp? unit ?"
.Cd "icpsp* at icp? unit ?"
.Cd "scsibus* at icpsp?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the newer (post 1997) ICP-Vortex GDT and Intel
Storage RAID controllers.
.Pp
The
.Nm ld
driver provides access to logical devices (disk arrays) presented by the
controller.
The
.Nm icpsp
driver provides direct access to other SCSI devices attached to the
controller, such as tape or CD-ROM drives.
.Sh DIAGNOSTICS
.Bl -tag
.It "pci_mem_find: expected mem type 00000000, found 00000002"
This message may be displayed during autoconfiguration if the controller's
memory is mapped below 1MB in physical address space.
This can be disabled either through changing a setting in the controller's
BIOS utility, or changing the position of a jumper on the board.
See your controller's documentation for more information.
.El
.Sh SEE ALSO
.Xr intro 4 ,
.Xr ld 4 ,
.Xr scsi 4
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 1.6 ,
and was based on
the
.Fx
and
.Ox
drivers of the same name.
.Sh BUGS
ISA & EISA front-ends and a management interface are needed.
.Pp
Older PCI boards are not yet supported.
